Mono.Parallel 4.0.0.0 To be added. Define a common interface for ABP-type deque data structure used in work-stealing algorithm. To be added.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<T> Returns an equivalent of the deque to allow enumeration. An representation of the elements in the deque (can be the object itself). Implementation can return if the operation is not supported.
- Method
  4.0.0.0
  Mono.Threading.Tasks.PopResult `` To be added. Retrieve an element from one end of the deque. The result of the operation. The implementation of this method is NOT supposed to be thread-safe.
- Method
  4.0.0.0
  Mono.Threading.Tasks.PopResult `` The eventually retrieved object. Retrieve an element from the other end of the deque. Result of the operation. The implementation of this method is supposed thread-safe.
- Method
  4.0.0.0
  System.Void `` To be added. Push an element at one end of the deque. The implementation of this method is NOT supposed to be thread-safe.